##
##  pass.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pass
Summary:      OpenPGP Password Store
URL:          http://www.passwordstore.org/
Vendor:       Jason A. Donenfeld
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Cryptography
License:      GPL
Version:      1.7.4
Release:      20210612

#   list of sources
Source0:      https://git.zx2c4.com/password-store/snapshot/password-store-%{version}.tar.xz
Patch0:       pass.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Password management should be simple and follow Unix philosophy.
    With pass, each password lives inside of a gpg encrypted file whose
    filename is the title of the website or resource that requires the
    password. These encrypted files may be organized into meaningful
    folder hierarchies, copied from computer to computer, and, in
    general, manipulated using standard command line file management
    utilities.

%track
    prog pass = {
        version   = %{version}
        url       = https://www.passwordstore.org/
        regex     = password-store-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n password-store-%{version}
    %patch -p0

%build

%install
    %{l_make} %{l_mflags} \
        DESTDIR=$RPM_BUILD_ROOT \
        PREFIX=%{l_prefix} \
        WITH_ALLCOMP=no \
        install
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

